"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadFile = void 0;
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var slug_1 = require("primeobjects-helper-util/build/cjs/slug");
var downloadFile = function (url, id) {
    var webLocation = (0, primeobjects_helper_util_1.getWebLocation)(url);
    if (webLocation) {
        var win = (0, primeobjects_helper_util_1.getWindow)();
        var doc = win.document;
        var cid = "download-".concat(id);
        var tempLink = doc.getElementById(cid);
        if (!tempLink)
            tempLink = doc.createElement("a");
        var fileName = (0, slug_1.slug)(webLocation.url[webLocation.url.split("/").length - 1]);
        tempLink.style.display = "none";
        tempLink.href = url;
        tempLink.setAttribute("download", fileName);
        tempLink.setAttribute("target", "_blank");
        document.body.appendChild(tempLink);
        tempLink.click();
    }
};
exports.downloadFile = downloadFile;
//# sourceMappingURL=download.js.map