//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect, useState } from "react";
import { cloneDeep } from "lodash";
export var Div = React.forwardRef(function (props, ref) {
    var _a = useState(props), newProps = _a[0], setNewProps = _a[1];
    useEffect(function () {
        if (props.removeProps) {
            var newProps_1 = cloneDeep(props);
            for (var i = 0; i < props.removeProps.length; i++) {
                delete newProps_1[props.removeProps[i]];
            }
            delete newProps_1.removeProps;
            setNewProps(newProps_1);
        }
    }, [props]);
    return React.createElement("div", __assign({ ref: ref }, newProps));
});
Div.displayName = "Div";
export default Div;
//# sourceMappingURL=div.js.map