import { CSSProperties } from "react";
export type THeaderMenuAction = {
    title: string;
    href: string;
    icon?: string;
    target?: string;
    style: CSSProperties;
    hidden?: boolean;
};
export type THeaderMenuActionsProps = {
    title?: string;
    data?: THeaderMenuAction[];
};
export declare const HeaderMenuActions: (props: THeaderMenuActionsProps) => JSX.Element;
export default HeaderMenuActions;
